## org.firebirdsql.gds.impl.wire
Interface EventCoordinator

    public interface EventCoordinator

Interface for handing pure java event callbacks.

Method Summary
`boolean` `cancelEvents(EventHandleImp eventHandleImp)`
`void` `close()`
`void` `queueEvents(isc_db_handle_impl mainDb, EventHandleImp eventHandleImp, EventHandler handler)`

Method Detail

### close

    void close()
               throws IOException

  Throws:
    `IOException`

### queueEvents

    void queueEvents(isc_db_handle_impl mainDb,
                     EventHandleImp eventHandleImp,
                     EventHandler handler)
                     throws GDSException

  Throws:
    `GDSException`

### cancelEvents

    boolean cancelEvents(EventHandleImp eventHandleImp)

Copyright © 2001-2010. All Rights Reserved.